Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416854 - [FC26 failing to deploy host (dnf related issues?)
Summary: [FC26 failing to deploy host (dnf related issues?)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Core
Version: master
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.3.0
: ---
Assignee: Yedidyah Bar David
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On: 1358339 1361888
Blocks: oVirt_on_Fedora
TreeView+ depends on / blocked
 
Reported: 2017-01-26 15:38 UTC by Sandro Bonazzola
Modified: 2019-04-28 09:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1358339
Environment:
Last Closed: 2018-06-25 07:33:01 UTC
oVirt Team: Integration
rule-engine: ovirt-4.3+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1316950 0 medium CLOSED [RFE][CodeChange] - OTOPI should use python3 interpreter on Fedora 2021-02-22 00:41:40 UTC

Internal Links: 1316950

Description Sandro Bonazzola 2017-01-26 15:38:55 UTC
+++ This bug was initially created as a clone of Bug #1358339 +++

Please see Bug #1358339 for full history.

Comment 1 Yedidyah Bar David 2017-08-06 08:49:03 UTC
A workaround in some previous versions used to be to install python2-dnf.

Now (FC26) it's not any more. Idan Shaby reported that installing "*python2-dnf*" is enough.

Comment 2 Yedidyah Bar David 2017-08-08 14:33:18 UTC
Looked at this some more.

Still not sure what made comment 1 work.

Fedora 26 ships with dnf-2, that is not supported by otopi yet, see bug 1455452.

So even if it "works", it works with (the now deprecated) yum, not dnf.
I think that in itself might be a bug in dnf, didn't try to investigate further yet. Might be related to: https://github.com/rpm-software-management/dnf/pull/641

Comment 3 Yaniv Lavi 2018-06-25 07:33:01 UTC
Closing old bugs.
Please reopen if still relevant.
Patches are welcomed.


Note You need to log in before you can comment on or make changes to this bug.